﻿using System;

namespace Common.MVVM.ViewModels
{
    public interface IViewModelBase
    {
        /// <summary>
        /// Holds the parent view model.
        /// </summary>
        IViewModelBase ParentViewModel {get; set;}

        /// <summary>
        /// Holds the child ribbon view model.
        /// </summary>
        IViewModelBase ChildRibbonViewModel { get; set; }

        /// <summary>
        /// Allows the child view model to inform its parent view model that it wishes to resize.
        /// </summary>
        /// <param name="obj"></param>
        /// <remarks>The object argument allows the system to retain flexibility.</remarks>
        void ResizeChildView(object obj);


    }
}
